<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>5.html</title>
	<script type="text/javascript">
		var frase="hola muy buenas a todos";
		var vocales=["a","e","i","o","u"];
		var vs=[0,0,0,0,0];
		var frec=[0,0,0,0,0];
		var frec1=[0,0,0,0,0];
		
		

		// for (var v=0; v<vocales.length; v++) {
		// 	for (var f=0; f<frase.length; f++) {
		// 		if(vocales[v]==frase[f]){
		// 			vs[v]++;
		// 		}
		// 	}
		// }

//------------------------------------------------------------------------------------
//
	function cantidadVocales(){
		vocales.forEach((vocal,indice) => {
		  frase.split("").forEach((caracter) => { // con el split separamos cada letra con las comillas convirtiendolo en una especie de array
		    if(vocal==caracter){
		    	vs[indice]++;
		    }
		  });
		});
	}

	function frecuencia(){
		vs.forEach((cantidad,indice) => {
		  frec1[indice]=cantidad/frase.length;
		});
	}
		
		
		cantidadVocales();
		frecuencia();
		console.log(vs);
		console.log(frase.length)
		console.log(frec,frec1);
		
	</script>
</head>
<body>
	
</body>
